Package com.google.android.exoplayer2.extractor

## Class FlacMetadataReader.FlacStreamMetadataHolder

- java.lang.Object
- - com.google.android.exoplayer2.extractor.FlacMetadataReader.FlacStreamMetadataHolder

- Enclosing class:
    FlacMetadataReader

      public static final class FlacMetadataReader.FlacStreamMetadataHolder
      extends Object

  Holds a `FlacStreamMetadata`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `FlacStreamMetadata` | `flacStreamMetadata` | The FLAC stream metadata.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FlacStreamMetadataHolder​(FlacStreamMetadata flacStreamMetadata)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### flacStreamMetadata

          @Nullable
          public FlacStreamMetadata flacStreamMetadata

      The FLAC stream metadata.

  - ### Constructor Detail

    - #### FlacStreamMetadataHolder

          public FlacStreamMetadataHolder​(@Nullable
                                          FlacStreamMetadata flacStreamMetadata)